package com.qqchen.deploy.backend.deploy.enums;

import lombok.Getter;

/**
 * Jenkins构建状态枚举
 */
@Getter
public enum JenkinsBuildStatus {

    SUCCESS("构建成功"),
    FAILURE("构建失败"),
    IN_PROGRESS("构建中"),
    ABORTED("构建已取消"),
    NOT_FOUND("构建记录不存在"),
    UNSTABLE("构建不稳定");

    private final String description;

    JenkinsBuildStatus(String description) {
        this.description = description;
    }
}